# file_processor

This script allows you to process a collection of spreadsheet documents.

    usage: orcus.tools.file_processor [-h] [--skip-file SKIP_FILE]
                                      [--processes PROCESSES] [-p PROCESSOR]
                                      [--remove-results] [--results] [--good]
                                      [--bad] [--stats]
                                      ROOT-DIR

## Positional Arguments

`ROOT-DIR`

  Root directory below which to recursively find and process test files.

## Named Arguments

`--skip-file`

  Optional text file containing a set of regular expressions (one per line). Files that match one of these rules will be skipped.

`--processes`

  Number of worker processes to use.

  Default: `1`

`-p, --processor`

  Python module file containing callback functions.

`--remove-results`

  Remove all cached results files from the directory tree.

  Default: `False`

`--results`

  Display the results of the processed files.

  Default: `False`

`--good`

  Display the results of the successfully processed files.

  Default: `False`

`--bad`

  Display the results of the unsuccessfully processed files.

  Default: `False`

`--stats`

  Display statistics of the results. Use it with –results.

  Default: `False`